# URL Reachability

Tests the reachability of the urls in the model response

**Required arguments**: prompt, response

**Interpretation of results**: Score 1 represents all the urls are valid, and 0 means they're invalid

#### Code Example:

```python
prompt = '''What is the website for Netflix'''
response = '''Here is the official websites for Netflix:
Netflix:(www.netflix.com)'''

evaluator.add_test(
    test_names=["url_reachability_guardrail"],
    data={'prompt':prompt,
          'response': response,

    },

).run()
evaluator.print_results()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/guardrails/url-reachability.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
